;(function(){
	
	var config = window.config = window.config || {};
	//对加密串进行解密
	config.navs = [];
	config.kinds = {
		"gp":[
			[{
				startAt: 1,    //起始位置
				endAt: 4,      //结束位置
				size: 4
			}, {
				startAt: 5,
				endAt: 7,
				size: 3
			}],
			{
				name: "个股诊断",
				id: "4",
				view: "Diagnosis",
				ops:{
			        Code: code,
			    }
			}, {
				name: "研报",
				id: "3",
				view: "Reports",
			    contentView: "ReportsContent",
			    ops:{
			        Code: code,
			        Size: 4,
			        Page: 1
			    }
			}, {
				name: "公告",
				id: "2",
				view: "Notices",
			    contentView: "NoticesContent",
			    ops:{
			        Code: code,
			        Size: 4,
			        Page: 1,
			        Type: 0
			    }
			}, {
				name: "新闻",
				id: "1",
				view: "News",
			    contentView: "NewsContent",
				ops:{
					Code: code,//"000002",
					Size: 4,
					Page: 1
				}
			}, {
				name: "公司概况",
				id: "5",
				view: "Company",
				ops:{
			        Code: code,
			    }
			}, {
				name: "财务指标",
				id: "6",
				view: "Financial",
				ops:{
			        Code: code,
			    }
			}, {
				name: "股东结构",
				id: "7",
				view: "Shareholder",
				ops:{
			        Code: code,
			    }
			}, {
				name: "回购",
				id: "8",
				view: "Repurchase",
				ops:{}
			}, {
				name: "基金",
				id: "9",
				view: "",
				ops:{
			        Page: 1,
			        Size: 10
			    }
			}, {
				name: "可转债",
				id: "10",
				view: "",
				ops:{
			        Code: code,
			    }
			}, {
				name: "债券",
				id: "11",
				view: "",
				ops:{
			        Code: code,
			    }
			}				
		],
		"hg": [
			[{
				startAt: 1,    //起始位置
				endAt: 1,      //结束位置
				size: 1
			}],
			{
				name: "回购资料",
				id: "1",
				view: "Repurchase",
			    ops:{
					Code: code				
				}
			}				
		],
		"jj": [
			[{
				startAt: 1,    //起始位置
				endAt: 2,      //结束位置
				size: 2
			}],
			{
				name: "公告",
				id: "1",
				view: "Notices",
			    contentView: "NoticesContent",
				ops:{
			        Code: code,
			        Size: 4,
			        Page: 1,
			        Type: 2
			    }
			}, {
				name: "基金概况",
				id: "2",
				view: "FundBrief",
			    //contentView: "NewsContent",
				ops:{
					Code: code					
				}
			}				
		],
		"kzz": [
			[{
				startAt: 1,    //起始位置
				endAt: 3,      //结束位置
				size: 3
			}],
			{
				name: "公告",
				id: "1",
				view: "Notices",
			    contentView: "NoticesContent",
				ops:{
			        Code: code,
			        Size: 4,
			        Page: 1,
			        Type: 3
			    }
			}, {
				name: "债券资料",
				id: "2",
				view: "ConvBondsBrief",
			    //contentView: "NewsContent",
				ops:{
					Code: code				
				}
			}, {
				name: "转股资料",
				id: "3",
				view: "ConvBondsInfo",
			    //contentView: "NewsContent",
				ops:{
					Code: code		
				}
			}				
		],
		"zq": [
			[{
				startAt: 1,    //起始位置
				endAt: 2,      //结束位置
				size: 2
			}],
			{
				name: "公告",
				id: "1",
				view: "Notices",
			    contentView: "NoticesContent",
				ops:{
			        Code: code,
			        Size: 4,
			        Page: 1,
			        Type: 3
			    }
			}, {
				name: "债券概况",
				id: "1",
				view: "BondBrief",
			    //contentView: "NewsContent",
				ops:{
					Code: code					
				}
			}				
		]　　					
	}
	_.f_date = function(date, _format){
		if(!date){
			return "--";
		}
		_format = _format || "YYYY-MM-DD";
		date = date.toString().substring(0, 10);
		return (new Date(date).format(_format));
	}	

	_.BComparePrecent = function(a, b, name, add, min, equal, flag){
		a = parseFloat(a); b=parseFloat(b);
		add = add || "增加"; min = min || "减少"; equal = equal || "持平"
		if(a == b){
			return ("与" + name + equal);
		}
		if(b == 0){
			return ("比" + name + add + "100%");
		}
		if(a > b){
			return ("比" + name + add + ((a-b)/b*100).toFixed(2) + "%");
		}
		if(a < b){
			if(flag == 1){
				return ("比" + name + min + ((b-a)/b*100).toFixed(2) + "%");
			}else{
				return ("据" + name + "还有" + ((b-a)/b*100).toFixed(2) + "%的空间");
			}			
		}
	}	

	window.k_vCodeMarket = {
        "AM": "美国证券交易所",
        "AS": "亚洲其他交易所",
        "AX": "澳大利亚证券交易所",
        "BA": "阿根廷布宜诺斯艾利斯证券交易所",
        "BK": "泰国证券交易所",
        "BV": "巴西圣保罗证券交易所",
        "CFFE": "中国金融期货交易所",
        "EP": "欧洲其他交易所",
        "F": "德国法兰克福证券交易所",
        "GT": "柜台交易市场",
        "HK": "香港联交所",
        "KS": "韩国汉城证券交易所",
        "KY": "埃及开罗及亚历山大证券交易所",
        "L": "伦敦证券交易所",
        "MX": "墨西哥证券交易所",
        "NA": "美国纳斯达克证券交易所",
        "NY": "纽约证券交易所",
        "NZ": "新西兰证券交易所",
        "OA": "美国其他交易市场",
        "OB": "美国OTCBB市场",
        "PA": "法国巴黎证券交易所",
        "PK": "美国ItherOTC市场",
        "QT": "其他",
        "SB": "三板市场",
        "SG": "新加坡证券交易所",
        "SS": "上海证券交易所",
        "SZ": "深圳证券交易所",
        "TJS": "天津股权交易所",
        "TO": "加拿大多伦多证券交易所",
        "TS": "东京证券交易所",
        "TW": "台湾证券交易所",
        "YHJ": "银行间债券市场"
    },	

    config.MarketSwitch = {
    	"1": "SZ",
    	"2": "SS",
    	"3": "HK",
    	"4": "CFFE",
    	"5": "SB"
    }
})();



