/**
 * Created by dell on 2015/1/7.
 */
(function(){
    var views = window.views = window.views || {};

    views.baseView = Backbone.View.extend({
        initialize: function(ops){
            this.init(ops);
        },
        init: function(){},
        tap: ("ontouchstart" in window && isApp != 'ios' && navigator.userAgent.indexOf("mac",0) == -1) ? "touchend" : "click"
    })

    views.Content = views.baseView.extend({
        id: "",
        // comefrom: "",
        template: _.template(htmls.arti.join("")),

        init: function(){
            $(".arti-wrap").html(this.el);
            this.id = paramObj.id;
            // this.comefrom = paramObj.comefrom;
            this.getData({ID: this.id});
            var $this = this;
            $(window).resize(function(){
                $this.freshContent();
            })
        },
        getData: function(){},
        freshContent: function(){
            var wHeight = $(window).height();
            var tHeight = $(".title-wrap").height();
            var height = wHeight - tHeight - 3.5 * parseInt($(".arti-wrap").css("font-size"));
            $(".content").height(height);
            $(".content .scroll").width($(".content").width());
            $(".content .content-detail").attr("scrollWidth", 0)
            if($(".content .content-detail").height() > height){
                if("ontouchstart" in window)
                    $(".content .scroll").width($(".content").width() + 2);
                else 
                    $(".content .scroll").width($(".content").width() + 17);
            }           
        }
    });

    views.NewsContent = views.Content.extend({
        getData: function(ops){
            Net.NewsContent(ops, $.proxy(this.showContent, this))
        },
        showContent: function(data){
            try{
                if(!data.NewsContent[0][0]){
                    window.ShortTips.install("查询数据为空");
                    return; 
                }
            }catch(e){
                window.ShortTips.install("查询数据为空");
                return
            }
            var datas = (data && data.NewsContent && data.NewsContent[0] && data.NewsContent[0][0]) || {};
            datas.Abstract = datas.Abstract || "";
            var publishPlace = (datas.Abstract && datas.Abstract.substring(datas.Abstract.indexOf("【"), datas.Abstract.indexOf("】") + 1)) || "";
            var abstract = datas.Abstract;
            
            formatdata = {
                title: datas.Title, 
                /*comefrom: this.comefrom, */
                datetime: datas.Time && datas.Time.substring(0, datas.Time.lastIndexOf(":")),
                content: "<p></p><p style='text-align: right; padding-right: 0.8em;'>" + publishPlace + "</p>"
            };
            if(abstract){
                // abstract = abstract.replace(/<\\p>/g, "&").replace(/<p>/g, "#");
                // var da = "", flag = false;
                // console.log("abstract", abstract);
                // for(var i = 0; i < abstract.length; i++){
                //     da += abstract[i];
                //     if(abstract[i] == "<"){
                //         flag = true;
                //         continue;
                //     }
                //     if(abstract[i] == ">"){
                //         flag = false;
                //         continue;
                //     }
                //     if(flag){
                //         continue
                //     }
                //     console.log(1111111);
                //     //da += " ";
                // }
                // console.log("da", da);
                formatdata.content = abstract/*.replace(/&/g, "<\p>").replace(/#/g, "<p>")*/.replace(/(\s)*<p>(\s)*/g, "<p>").replace(/(\s)*<\/p>(\s)*/g, "</p>").replace(/\r/g, "").replace(/\n/g, "<br/>").replace(/\t/g, "&nbsp;&nbsp;&nbsp;&nbsp;").replace(/ /g, "&nbsp;").replace(/【\S*】/, "") + formatdata.content;
            }
            this.$el.html(this.template(formatdata));
            this.freshContent();
            // console.log("返回详情数据: ", data);
        }
    });

    views.NoticesContent = views.Content.extend({
        getData: function(ops){
            Net.BulletinContent(ops, $.proxy(this.showContent, this))
        },
        showContent: function(data){
            try{
                if(!data.BulletinContent[0][0]){
                    window.ShortTips.install("查询数据为空");
                    return; 
                }
            }catch(e){
                window.ShortTips.install("查询数据为空");
                return
            }
            var datas = (data && data.BulletinContent && data.BulletinContent[0] && data.BulletinContent[0][0]) || {},
                datetime = datas.PublishDate && datas.PublishDate.substring(0, datas.PublishDate.lastIndexOf(":")),
                title = datas.BulletinTitle || "",
                content = (datas.BulletinAbstract || "").replace(/(\s)*<p>(\s)*/g, "<p>").replace(/(\s)*<\/p>(\s)*/g, "</p>").replace(/\r/g, "").replace(/\n/g, "<br/>");
            if(/大宗交易/.test(title)) {
                var tmp = [], tmps, startAt, minLength, splitArray = [], l, i, lastStartAt;            
                tmps = content.split("<br/>"), l = tmps.length, i;
                for(i = 0; i < l; i++){
                    tmp.push(tmps[i].split("\t"));
                }
                l = tmp.length;
                if(l > 1){
                    minLength = tmp[0].length, startAt = 0, lastStartAt = 0;
                    for(i = 0; i < l - 1; i++){
                        if(minLength >= 3 && minLength == tmp[i+1].length){
                            if(lastStartAt == startAt){
                                splitArray[splitArray.length-1].content = i+1;
                            }else{
                                lastStartAt = startAt;
                                splitArray.push({
                                    startAt: startAt,
                                    length: minLength,
                                    content: i+1
                                })
                            }          
                        }else{
                            minLength = tmp[startAt = i+1].length
                        }
                    } 
                    content = this.formatArticleData(tmp, splitArray);
                    console.log(content);
                }
            } else{
                // console.log(content);
                content = content.replace(/\t/g, "&nbsp;&nbsp;&nbsp;&nbsp;").replace(/ /g, "&nbsp;&nbsp;");
            }

            formatdata = {title: title, datetime: datetime, content: content};
            this.$el.html(this.template(formatdata));
            this.freshContent();
            // console.log("返回详情数据: ", data);
        },

        productTable: function(datas){
            datas = this.formatJson(datas);
            var tpl = _.template(htmls.company_intro.join("")), l = datas.length, i, html="", j, t;
            console.log("datas: ", datas);
            for(i = 0; i < l; i++){
                t = datas[i].length;
                html += '<div class="block-wrap">';
                for(j = 0; j < t; j++){
                    html += tpl(datas[i][j]);
                } 
                html += '</div>';    
            }
            return html;
        },

        formatJson: function(data){
            var l = data.length, i, html="", j, t, datas = [];
            for(i = 1; i < l; i++){
                datas[i-1] = [];
                t = data[i].length;
                for(j = 0; j < t; j++){
                    datas[i-1].push({
                        key: data[0][j],
                        value: data[i][j]
                    })
                }
            }
            return datas;
        },

        formatArticleData: function(tmp, splitArray){
            tmp = tmp || [], splitArray = splitArray || [];
            var l = tmp.length, t = splitArray.length, i, j, tmpObj, deleteData, tmpnum = 0;
            for(j = 0; j < t; j++){
                tmpObj = splitArray[j];
                deleteData = tmp.splice(tmpObj.startAt - tmpnum, tmpObj.content - tmpObj.startAt + 1);
                tmp.splice(tmpObj.startAt - tmpnum, 0, this.productTable(deleteData));
                tmpnum += tmpObj.content - tmpObj.startAt;
            }
            for(i = 0; i < l; i++){
                _.isArray(tmp[i]) && (tmp[i] = tmp[i].join("&nbsp;&nbsp;&nbsp;&nbsp;"));
            }
            return tmp.join("<br>");
        }

    });

    views.ReportsContent = views.Content.extend({
        getData: function(ops){
            Net.BSCContent(ops, $.proxy(this.showContent, this))
        },
        showContent: function(data){
            try{
                if(!data.BSCContent[0][0]){
                    window.ShortTips.install("查询数据为空");
                    return; 
                }
            }catch(e){
                window.ShortTips.install("查询数据为空");
                return
            }
            var datas = (data && data.BSCContent && data.BSCContent[0] && data.BSCContent[0][0]) || {};
            formatdata = {title: datas.Title,/* comefrom: this.comefrom,*/ datetime: datas.Time && datas.Time.substring(0, datas.Time.lastIndexOf(":")), content: datas.Content && datas.Content.replace(/(\s)*<p>(\s)*/g, "<p>").replace(/(\s)*<\/p>(\s)*/g, "</p>").replace(/\r/g, "").replace(/\n/g, "<br/>").replace(/\t/g, "&nbsp;&nbsp;&nbsp;&nbsp;").replace(/ /g, "&nbsp;&nbsp;")};
            this.$el.html(this.template(formatdata));
            this.freshContent();
            // console.log("返回详情数据: ", data);
        }
    });
})();

(function(){
    var _stockKind = ""
    //判断股票类型，显示不同的页面。
    Net.StockCategory({Code: code}, function(data){
        var datas = (data && data.StockCategory && data.StockCategory[0] && data.StockCategory[0][0]) || {};
        _stockKind = k_vCodeKind(datas.CategoryCode)
        config.navs = config.kinds[_stockKind];
        var type = window.paramObj.type;
        new views[config.navs[type].contentView]();
        window.onunload = function() {
            Net.Log(config.navs[type].name + " 文章详情");
        }; 
    }) 
    function k_vCodeKind(tcode){
        var ecode = (tcode || "").substring(0, 3);
        switch(ecode){
            case "002":
                return "jj";
                break;
            case "003":
                if(tcode == "003004")
                    return "kzz";
                else
                    return "zq";
                break;
            case "004":
                return "hg";
                break;
            case "005":
                return "jj";
                break;
            default:
                return "gp";
                break; 
        }
    }   
})();