(function (_) {
    var Net = window.Net = window.Net || {},
        //Public = Net.PublicNet = Net.PublicNet || {},
        define = Net.Define = (Net.Define || {});
    //协议返回

    var Public = {};
    var ajaxNum = 0;
    var timer1 = null;
    Public.BaseAjax = function (doSuc, doErr, SerID, MF, SF, Params) {
        var $this = this,
            data = {
                Ser: SerID || define.Ser.Main,
                SF: SF || define.SF.Main,
                MF: MF || '',
                Params: $this.toParams(Params)
            }, cdata = "";
            console.log("请求数据： ", JSON.stringify(data));
            if(_.isObject(data)){
                cdata = _.AESmodel().encrypt(JSON.stringify(data));
            }else{
                cdata = _.AESmodel().encrypt(data);
            }
            ajaxNum++; 
        var deferr = $.ajax({
            url: define.Url,
            type: 'post',
            dataType: 'json',
            timeout: paramObj.outTime,
            data: { "CmdData": cdata},
            error: $.proxy(function (a, b, c) {
                ajaxNum--;
                if(ajaxNum == 0){
                    if(timer1) clearTimeout(timer1);
                    $(".loading").css({top: "50%", bottom: "auto"}).hide();
                }else{
                    if(!timer1){
                        timer1 = setTimeout(function(){
                            $(".loading").css({top: "auto", bottom: "20px"});
                        }, 1000);
                    }
                }
                var doErr = (_.toArray(this))[1];               
                if (typeof doErr === "function") { doErr.apply($this, a, b, c); }


                if(isApp =="android"){
                    window.demo.throwOutTime();
                    return 
                }else if(isApp == "ios"){
                    var url = "JSRequestTimeout?time=" + new Date().getTime();
                    location.href = url;
                    return;
                }
                if (typeof doErr !== "function"){
                    window.ShortTips.install("网络连接超时，请检查网络连接！");  
                }
                // throw new Error("timeout");
            },arguments),
            success: $.proxy(function (data) {
                // console.log("返回数据", data);
                ajaxNum--;
                if(ajaxNum == 0){
                    if(timer1) clearTimeout(timer1);
                    $(".loading").css({top: "50%", bottom: "auto"}).hide();
                }else{
                    // console.log(timer1);
                    if(!timer1){
                        timer1 = setTimeout(function(){
                            $(".loading").css({top: "auto", bottom: "20px"});
                        }, 1000);
                    }
                }
                if(!data || !!data.ErrMsg || !!data.error){
                    window.ShortTips.install("获取消息失败:" + (data && (data.ErrMsg || data.error)) || "服务器异常");
                    return;
                }
                var doSuc = (_.toArray(this))[0];
                if (typeof doSuc === "function") { doSuc(data); }
            },arguments),
            beforeSend: function(){
                $(".loading").show();
            }
        });
        return deferr;
    };

    Public.LogAjax = function (Params) {
        if(_.isObject(Params)){
            cdata = _.AESmodel().encrypt(JSON.stringify(Params));
        }else{
            cdata = _.AESmodel().encrypt(Params);
        }
        var deferr = $.ajax({
            url: define.Url.replace(/Service/, "WebLog"),
            type: 'post',
            dataType: 'text',
            timeout: 20000,
            data: { "CmdData": cdata},
        });
        return deferr;
    };
    Public.Ajax = function (doSuc, doErr, MF, Params) {
        return this.BaseAjax(doSuc, doErr, define.Ser.Main,MF, define.SF.Main, Params);
    };
    Public.toParams = function (sender) {
        if (typeof sender === "undefined") { return ""; }
        if (typeof sender === "string") { return sender; }
        var result = [];
        for (var i in sender) {
            if (typeof sender[i] === "function") { continue; }
            if (result.length > 0) { result.push('&'); }
            result.push([i, sender[i]].join('='));
        }
        return result.join('');
    };

    var net = function () { }, n = net.prototype;

    //研报
    n.BSCTitle = function (ops, doSuc,doErr) {
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.RRTitle, { Code: ops.Code, Page: ops.Page, Size: ops.Size, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]});
    };
    n.BSCContent = function (ops, doSuc, doErr) {
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.RRContent, { GUID: ops.ID, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]});
    };
    //新闻
    n.NewsTitle = function (ops, doSuc, doErr) {
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.NewsTitle, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"], Page: ops.Page, Size: ops.Size});
    };
    n.NewsContent = function (ops, doSuc, doErr) {
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.NewsContent, { NewsID: ops.ID, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]});
    };
    //公告  Type: 0代表沪深,1代表三版,2代表基金,3代表债券
    n.BulletinTitle = function (ops, doSuc, doErr) {
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.BulletinTitle, { Code: ops.Code, Page: ops.Page, Size: ops.Size, Type: ops.Type, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]});
    };
    n.BulletinContent = function (ops, doSuc, doErr) {
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.BulletinContent, { BulletinID: ops.ID, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]});
    };
    //个股诊断
    n.Grade = function (ops, doSuc, doErr) {
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.Grade, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]});
    };
    n.PE = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.PE, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };
    n.EPS = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.EPS, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };
    n.Gather = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.Gather, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };
    n.Finance = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.Finance, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };
    n.ZJLX = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.ZJLX, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.Company = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.Company, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.MainOperIncome = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.MainOperIncome, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.Dividend = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.Dividend, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.NegotialeShareHolder = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.NegotialeShareHolder, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.StockPortfolioDetail = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.StockPortfolioDetail, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.ShareStru = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.ShareStru, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.InComeStatement = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.InComeStatement, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.BalanceSheet = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.BalanceSheet, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.CashFlowStatement = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.CashFlowStatement, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.BriefOf = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.briefOf, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.Forecast = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.Forecast, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.IndHist = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.IndHist, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.Repurchase = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.Repurchase, {Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.FundTitle = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.FundTitle, { Size: ops.Size, Page: ops.Page, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.Fund = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.Fund, { Code: (ops.Code || paramObj.code), Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };
    n.ConDBInfoTitle = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.ConDBInfoTitle, { Size: ops.Size, Page: ops.Page, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.ConDBInfo = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.ConDBInfo, { Code: (ops.Code || paramObj.code), Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.BasicInfoTitle = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.BasicInfoTitle, { Size: ops.Size, Page: ops.Page, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.BasicInfo = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.BasicInfo, { Code: ops.Code || paramObj.code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.StockCategory = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.StockCategory, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    //可转债列表
    n.ConBDConvert  = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.ConBDConvert, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.ConBDHolder  = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.ConBDHolder, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.BondPortfolio  = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.BondPortfolio, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    n.ConBDRemainAmount  = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.ConBDRemainAmount, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    }; 

    //历史净值
    n.NetValue  = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.NetValue, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    }; 

    //持股明细
    n.StockPortfolio  = function (ops, doSuc, doErr){
        ops = ops || {};
        return Public.Ajax(doSuc, doErr, define.MF.StockPortfolio, { Code: ops.Code, Market: config.MarketSwitch[ops.Market || paramObj.market || "1"]}); 
    };

    
    window.Net = new net;

    //日志统一管理接口
    var timer = new Date().getTime(), leaveTime = 0, User = "";
    n.Log = function(text){
        leaveTime = new Date().getTime() - timer;
        timer = new Date().getTime();
        if(!text){
            return;
        }
        // console.log("访问" + text + "栏目时间: " + leaveTime/1000 + "秒")
        return Public.LogAjax({time: "用户：" + User + "; 访问" + text + "栏目时间: " + leaveTime/1000 + "秒"}); 
    }
})(_);