// 对underscore函数进行扩充
;(function(){
	window._ = window._ || function(){};

	_.f_numical = function(num, kind, n, repalce){
		if(!num || isNaN(num)) num = 0;
		var numFlag = 1;
		n = n || 2;
		if(num < 0){
			 num = 0 - num;
			 numFlag = -1;
		}
		if(num - 1e+12 > 0){
			return (_.toFixedn((num/1e+12) * numFlag, kind, n) + "万亿");
		}else if(num - 1e+8 > 0){
			return (_.toFixedn((num/1e+8) * numFlag, kind, n) + "亿");		
		}else if(num - 1e+4 > 0){
			return (_.toFixedn((num/1e+4) * numFlag, kind, n) + "万");
		}else{ 
			return _.toFixedn((num - 0) * numFlag, kind, n, repalce);
		}
	}

	_.f_date = function(date, _format){
		if(!date){
			return "--";
		}
		_format = _format || "YYYY-MM-DD";
		date = date.toString().substring(0, 10);
		return (new Date(date).format(_format));
	}
	
	_.toFixedn = function(num, kind, n, repalce){
		num = parseFloat(num);
		if(!num || isNaN(num)){num = 0}
		var n = n || 2;					
		if(kind == 1){
			return parseFloat(num.toFixed(n));
		}
		repalce = repalce || parseFloat(0).toFixed(n);
		if(num == 0){
			return repalce;
		}
		return num.toFixed(n);
	}


	//返回数字的位数,如果是小数，则返回第一位非0所在的位数
	_.numMaxReg = function(num){
		num = parseFloat(num);
		if(!num || isNaN(num)) return 0;
		var strnum = num.toString(), indexof = strnum.indexOf("\."), lastIndexof;
		if(indexof < 0) indexof = strnum.length;
		var tmpstr = strnum.replace(/[^0\.]/g, "*");
		lastIndexof = tmpstr.indexOf("*");
		var reg = indexof - lastIndexof; 
		if(reg > 0) reg -= 1;
		return {
			reg: reg,
			index: lastIndexof
		};	
	}

	_.RegAddOne = function(num){
		if(num == 0){
			return 0;
		}
		var obj = _.numMaxReg(num);
		return (0 - (0 - num.toString().charAt(obj.index)) + 1) * Math.pow(10, obj.reg) 
	}

	//格式化数据格式
	_.productQuarterReport = function(date){
		if(!date) return;
		date = $.trim(date);
		var Quarters = ["年报", "一季报", "中期报", "三季报"];
		// console.log("数据:",date);
		var year = parseInt(date.substring(0, 4)), month = parseInt(date.substring(5, 7));
		if(month == 1 && month == 2){
			year -= 1;
		}
		return (year + Quarters[Math.floor((month%12)/3)]);
	}

	//比较并显示内容 flag 0,至返回增加，减少；1 返回增加，减少a
	_.BCompare = function(a, b, unit, add, min, equal){
		a = parseFloat(a); b=parseFloat(b);
		add = add || "增加"; min = min || "减少"; equal = equal || "持平";
		if(a == b){
			return equal;
		}
		if(a > b){
			return (add + parseFloat(a - b).toFixed(2) + unit);
		}
		if(a < b){
			return (min + parseFloat(b - a).toFixed(2) + unit);
		}
	}

	_.BCompare2 = function(a, b, nameb, unit, add, min){
		a = parseFloat(a); b=parseFloat(b);
		var add = add || "高于", min = min || "低于";
		if(a > b){
			return (add + nameb + unit);
		}
		if(a == b){
			return ("与" + nameb + unit + "持平");
		}
		if(a < b){
			return (min + nameb + unit);
		}		
	}

	_.BCompare3 = function(a, b, c, nameb, namec, unit){
		a = parseFloat(a); b=parseFloat(b); c=parseFloat(c);
		if(a > b){
			if(a > c)
				return ("高于" + nameb + "和" + namec + unit);
			if(a == c)
				return ("高于" + nameb + unit + "，和" + namec + unit + "持平");
			if(a < c)
				return ("高于" + nameb + unit + "，低于" + namec + unit);
		}
		if(a == b){
			if(a > c)
				return ("和" + nameb + unit + "持平，高于" + namec + unit);
			if(a == c)
				return ("与" + nameb + "和" + namec + unit + "都持平");
			if(a < c)
				return ("和" + nameb + unit + "持平， 低于" + namec + unit);
		}
		if(a < b){
			if(a > c)
				return ("低于" + nameb + unit + "，高于" + namec + unit);
			if(a == c)
				return ("低于" + nameb + unit + "，和" + namec + unit + "持平");
			if(a < c)
				return ("低于" + nameb + "和" + namec + unit);
		}		
	}

	_.BComparePrecent = function(a, b, name, add, min, equal, flag){
		a = parseFloat(a); b=parseFloat(b);
		add = add || "增加"; min = min || "减少"; equal = equal || "持平"
		if(a == b){
			return ("与" + name + equal);
		}
		if(b == 0){
			return ("比" + name + add + "100%");
		}
		if(a > b){
			return ("比" + name + add + ((a-b)/b*100).toFixed(2) + "%");
		}
		if(a < b){
			if(flag == 1){
				return ("比" + name + min + ((b-a)/b*100).toFixed(2) + "%");
			}else{
				return ("据" + name + "还有" + ((b-a)/b*100).toFixed(2) + "%的空间");
			}			
		}

	}

	//flag 0 表示证书相加，1 表示浮点数相加
	_.adds = function(flag){
		params = [].slice.call(arguments, 1);
		var total = 0;
		if(flag == 0){
			for(var i = 0, l = params.length; i < l; i++){
				total += parseInt(params[i]);
			}
		}else if(flag == 0){
			for(var i = 0, l = params.length; i < l; i++){
				total += parseFloat(params[i]);
			}
		}
		return total;
	}

	//数量为0不显示
	_.hideforzero = function(num, showtype, type){
		if(type){
			showtype = showtype || "visible";
			if(num == 0){
				return "visibility: hidden";
			}else{
				return ("visibility: " + showtype);
			}
			return;
		};
		showtype = showtype || "inline-block";
		if(num == 0){
			return "display: none";
		}else{
			return ("display: " + showtype);
		}
	}
	
})();



